# Installation
Clone the repo and execute the `install.sh` script.<br/>
Or use this command:
```bash
bash -c "$(curl -fsSL https://gitea.keuledrive.de/Keule2/Dotfiles/raw/branch/main/install.sh)"
```
Or this command to use arguments:
```bash
curl -fsSL "https://gitea.keuledrive.de/Keule2/Dotfiles/raw/branch/main/install.sh" | bash -s -- -e "system=server" 
```

# Update
Just execute the `install.sh` script again.

# Usage
All additional parameters are passed to the ansible playbook. This means that you can skip tags or only execute desired tags.<br/>
Example: Skip alacritty
```bash
./install.sh --skip-tags alacritty
```
Example: Only execute alacritty and fish
```bash
./install.sh -t alacritty,fish
```

# Settings
There are two ways to set settings/values.
1. Create/Edit: `$HOME/.config/dotfiles/values.yml`
2. Edit: `$HOME/.dotfiles/group_vars/all`

## Ansible Vault
Vault password file: `$HOME/.config/dotfiles/vault-password.txt` 

## Settings
### System
|Value       |Desc                                                   |Default|
|------------|-------------------------------------------------------|-------|
|server      |Minimal installation (CMD tools)                       |       |
|desktop     |Install WM and desktop applications                    |x      |
|desktop_full|Install additional packages for the desktop (e.g. wine)|       |
<br/>

# TODO
- AGS: Bar, AppLauncher, PowerMenu, Notifications, Calculator, Emoji-Picker, ...
- Ubuntu/Debian Support
- ...
